using SGModule.NetKit;

public static class ADEventTrack
{
    // public static readonly string Event = TrackEvent.Register("AD_Event");
    // public static readonly string MaxPayEvent = TrackEvent.Register("Max_Pay_Event");
    public static readonly string Event = TrackEvent.Register("AD_Event");
    public static readonly string MaxPayEvent = TrackEvent.Register("Max_Pay_Event");
    public static readonly string IOS_Pay_Event = TrackEvent.Register("IOS_Pay_Event");
    public static readonly string Subscription = TrackEvent.Register("Subscription");
    public static readonly string Special = TrackEvent.Register("Special");
    public static readonly string VipLevel = TrackEvent.Register("VipLevel");
    public static readonly string Live = TrackEvent.Register("Live");
    public static readonly string SecretAlbums = TrackEvent.Register("SecretAlbums");
    public static readonly string Chat = TrackEvent.Register("Chat");
    public static readonly string VipLive = TrackEvent.Register("vip_live");
    public static readonly string VipSecretAlbums = TrackEvent.Register("vip_secret_albums");
    public static readonly string Coinsbuy = TrackEvent.Register("coins_buy");
    public static class Property
    {
        #region +1盒子

        public static readonly string buy_one_show = TrackProperty.Register("buy_one_show");
        public static readonly string buy_one_click = TrackProperty.Register("buy_one_click");
        public static readonly string buy_one_open = TrackProperty.Register("buy_one_open");
        public static readonly string buy_one_success = TrackProperty.Register("buy_one_success");

        #endregion

        #region 礼包

        public static readonly string first_pack_show = TrackProperty.Register("first_pack_show");
        public static readonly string lucky_gift_click = TrackProperty.Register("lucky_gift_click");
        public static readonly string lucky_gift_receive = TrackProperty.Register("lucky_gift_receive");

        #endregion

        #region 免广告礼包相关

        public static readonly string gift_show = TrackProperty.Register("gift_show");
        public static readonly string remove_ad_click = TrackProperty.Register("remove_ad_click");
        public static readonly string remove_ad_receive = TrackProperty.Register("remove_ad_receive");

        #endregion

        #region 商城相关

        public static readonly string shop_show = TrackProperty.Register("shop_show");
        public static readonly string gold_click_ = TrackProperty.Register("gold_click_", true);
        public static readonly string gold_click_ad = TrackProperty.Register("gold_click_ad", true);
        public static readonly string shop_receive_ = TrackProperty.Register("shop_receive_", true);

        #endregion

        #region AF相关

        public static readonly string afterRewardAdShow = TrackProperty.Register("afterRewardAdShow");
        public static readonly string afterRewardAdEnd = TrackProperty.Register("afterRewardAdEnd");

        #endregion

        #region 通行证相关

        public static readonly string master_pass_show = TrackProperty.Register("master_pass_show");
        public static readonly string master_pass_click = TrackProperty.Register("master_pass_click");
        public static readonly string master_pass_receive = TrackProperty.Register("master_pass_receive");

        #endregion

        #region 三天礼包

        public static readonly string three_days_gift_show = TrackProperty.Register("three_days_gift_show");

        public static readonly string three_days_gift_buy_success =
            TrackProperty.Register("three_days_gift_buy_success");

        public static readonly string three_days_gift_click = TrackProperty.Register("three_days_gift_click");

        #endregion

        #region 失败礼包

        public static readonly string fail_open = TrackProperty.Register("fail_open");
        public static readonly string fail_show = TrackProperty.Register("fail_show");
        public static readonly string fail_click = TrackProperty.Register("fail_click");
        public static readonly string fail_buy_success = TrackProperty.Register("fail_buy_success");

        #endregion

        #region adLoad

        public static readonly string ad_load_code = TrackProperty.Register("ad_load_code_");
        public static readonly string ad_show_code = TrackProperty.Register("ad_show_code_");


        #endregion

        #region 秘密相册

        public static readonly string secret_albums_show = TrackProperty.Register("secret_albums_show", true);
        public static readonly string secret_albums_click_ = TrackProperty.Register("secret_albums_click", true);
        public static readonly string secret_albums_success_ = TrackProperty.Register("secret_albums_success_", true);
        public static readonly string vip_secret_albums_unclock_ = TrackProperty.Register("vip_secret_albums_unclock_", true);

        #endregion

        #region VIP

        // public static readonly string vip_show = TrackProperty.Register("vip_show");
        // public static readonly string vip_click_ = TrackProperty.Register("vip_click_", true);
        // public static readonly string vip_receive_ = TrackProperty.Register("vip_receive_", true);
        public static readonly string vip_show_page = TrackProperty.Register("vip_show");
        public static readonly string vip_click_ = TrackProperty.Register("vip_click_", true);
        public static readonly string vip_success_ = TrackProperty.Register("vip_success_", true);
        public static readonly string vip_show_levelpass = TrackProperty.Register("vip_show_levelpass_", true);
        public static readonly string vip_show_sell = TrackProperty.Register("vip_show_sell");
        #endregion

        public static readonly string speciallevel = TrackProperty.Register("special level");
        public static readonly string speciallevelvideo = TrackProperty.Register("special level_video");
        public static readonly string speciallevelcoin = TrackProperty.Register("special level_coin");

        public static readonly string viplevel = TrackProperty.Register("vip level");
        public static readonly string viplevelsub = TrackProperty.Register("vip level_sub");
        public static readonly string viplevelcoin = TrackProperty.Register("vip level_coin");

        public static readonly string live_unlock = TrackProperty.Register("live_unlock");
        public static readonly string live_sub = TrackProperty.Register("live_sub");
        public static readonly string live_coin = TrackProperty.Register("live_coin");
        public static readonly string live_play = TrackProperty.Register("live_play");

        public static readonly string secret_unlock = TrackProperty.Register("secret albums_unlock");
        public static readonly string secret_sub = TrackProperty.Register("secret albums_sub");
        public static readonly string secret_coin = TrackProperty.Register("secret albums_coin");
        public static readonly string secret_play = TrackProperty.Register("secret albums_play");
        public static readonly string live_unclock = TrackProperty.Register("live_unclock");
        public static readonly string vip_live_unclock_ = TrackProperty.Register("vip_live_unclock_", true);
        public static readonly string secret_albums_unclock = TrackProperty.Register("secret_albums_unclock");

        public static readonly string chat_unclock = TrackProperty.Register("chat_unclock");
        public static readonly string chat_coin = TrackProperty.Register("chat_coin");
        public static readonly string chat_sub = TrackProperty.Register("chat_sub");
        public static readonly string chat_unclock_open = TrackProperty.Register("chat_unclock_open");

        public static readonly string vip_secret_albums_unclock = TrackProperty.Register("vip_secret_albums_unclock");
        public static readonly string vip_live_unclock = TrackProperty.Register("vip_live_unclock");
        public static readonly string download = TrackProperty.Register("download");
        public static readonly string unlock_svip = TrackProperty.Register("unlock_svip");
        public static readonly string unlock_vip = TrackProperty.Register("unlock_vip");
        public static readonly string unlock_live = TrackProperty.Register("unlock_live");
        public static readonly string unlock_live_resources = TrackProperty.Register("unlock_live_resources");
        public static readonly string unlock_secretAlbums = TrackProperty.Register("unlock_secret albums");
        public static readonly string unlock_secretAlbums_resources = TrackProperty.Register("unlock_secret albums_resources");


    }
}

public static class HallBehaviorTrack
{
    public static readonly string Event = TrackEvent.Register("Hall_behavior");

    public static class Property
    {
        #region H5相关

        public static readonly string fly_ct_number = TrackProperty.Register("fly_ct_number");
        public static readonly string annular_ct_number = TrackProperty.Register("annular_ct_number");
        public static readonly string annular_finish_number = TrackProperty.Register("annular_finish_number");
        public static readonly string annular_get_number = TrackProperty.Register("annular_get_number");
        public static readonly string collect_fly_number = TrackProperty.Register("collect_fly_number");

        #endregion
    }
}

public static class ADTrack
{
    public static readonly string Event = TrackEvent.Register("AD");

    public static class Property
    {
        #region

        public static readonly string ad_load_code_ = TrackProperty.Register("ad_load_code_");
        public static readonly string ad_show_code_ = TrackProperty.Register("ad_show_code_");

        #endregion
    }
}

public static class WwBehaviorTrack
{
    public static readonly string Event = TrackEvent.Register("ww_behavior");

    public static class Property
    {
        #region Ww

        public static readonly string ww_message = TrackProperty.Register("ww_message");
        public static readonly string ww_ch = TrackProperty.Register("ww_ch", true);

        #endregion
    }
}

public static class VideoBehaviorTrack
{
    public static readonly string Event = TrackEvent.Register("video_behavior");

    public static class Property
    {
        #region

        public static readonly string watch_ad_people = TrackProperty.Register("watch_ad_people");

        public static readonly string Rewarded_videos_trigger_number =
            TrackProperty.Register("Rewarded_videos_trigger_number");

        #endregion
    }
}

public static class ThreeDaysGiftEventTrack
{
    public static readonly string Event = TrackEvent.Register("Three_days_gift_event");

    public static class Property
    {
        #region 三天礼包

        public static readonly string three_day1_success = TrackProperty.Register("three_day1_success");
        public static readonly string three_day2_success = TrackProperty.Register("three_day2_success");
        public static readonly string three_day3_success = TrackProperty.Register("three_day3_success");

        #endregion
    }
}

public static class AfPurchaseTrack
{
    public static readonly string Event = TrackEvent.Register("af_purchase");

    public static class Property
    {
        #region 

        public static readonly string af_revenue = TrackProperty.Register("af_revenue");

        #endregion
    }
}